unit Api.Service;

interface

uses
  XData.Service.Common,
  Aurelius.Mapping.Attributes,
  System.Generics.Collections,
  System.JSON;

const
  API_MODEL = 'Api';

type
  [ServiceContract, Model(API_MODEL)]
  IApiService = interface(IInvokable)
    ['{793A44B7-2B00-4791-B249-97A681922D76}']
    function TestApi(messageText: string): TJSONObject;
  end;

implementation

initialization
  RegisterServiceType(TypeInfo(IApiService));

end.

